Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network50.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
50.0.0.0
Broadcast address
50.127.255.255
First usable
50.0.0.1
Last usable
50.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 32000000 · Integer 838860800 to 847249407
Reverse DNS zones
0.50.in-addr.arpa
1.50.in-addr.arpa
2.50.in-addr.arpa
3.50.in-addr.arpa
4.50.in-addr.arpa
5.50.in-addr.arpa
6.50.in-addr.arpa
7.50.in-addr.arpa
8.50.in-addr.arpa
9.50.in-addr.arpa
10.50.in-addr.arpa
11.50.in-addr.arpa
12.50.in-addr.arpa
13.50.in-addr.arpa
14.50.in-addr.arpa
15.50.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00110010.00000000.00000000.0000000050.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network00110010.00000000.00000000.0000000050.0.0.0
Broadcast00110010.01111111.11111111.1111111150.127.255.255
Split into smaller subnets/16

50.0.0.0/9 makes 128 subnets of /16.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
150.0.0.0/1650.0.0.1 to 50.0.255.25450.0.255.25565,534
250.1.0.0/1650.1.0.1 to 50.1.255.25450.1.255.25565,534
350.2.0.0/1650.2.0.1 to 50.2.255.25450.2.255.25565,534
450.3.0.0/1650.3.0.1 to 50.3.255.25450.3.255.25565,534
550.4.0.0/1650.4.0.1 to 50.4.255.25450.4.255.25565,534
650.5.0.0/1650.5.0.1 to 50.5.255.25450.5.255.25565,534
750.6.0.0/1650.6.0.1 to 50.6.255.25450.6.255.25565,534
850.7.0.0/1650.7.0.1 to 50.7.255.25450.7.255.25565,534
950.8.0.0/1650.8.0.1 to 50.8.255.25450.8.255.25565,534
1050.9.0.0/1650.9.0.1 to 50.9.255.25450.9.255.25565,534
1150.10.0.0/1650.10.0.1 to 50.10.255.25450.10.255.25565,534
1250.11.0.0/1650.11.0.1 to 50.11.255.25450.11.255.25565,534
1350.12.0.0/1650.12.0.1 to 50.12.255.25450.12.255.25565,534
1450.13.0.0/1650.13.0.1 to 50.13.255.25450.13.255.25565,534
1550.14.0.0/1650.14.0.1 to 50.14.255.25450.14.255.25565,534
1650.15.0.0/1650.15.0.1 to 50.15.255.25450.15.255.25565,534
1750.16.0.0/1650.16.0.1 to 50.16.255.25450.16.255.25565,534
1850.17.0.0/1650.17.0.1 to 50.17.255.25450.17.255.25565,534
1950.18.0.0/1650.18.0.1 to 50.18.255.25450.18.255.25565,534
2050.19.0.0/1650.19.0.1 to 50.19.255.25450.19.255.25565,534
2150.20.0.0/1650.20.0.1 to 50.20.255.25450.20.255.25565,534
2250.21.0.0/1650.21.0.1 to 50.21.255.25450.21.255.25565,534
2350.22.0.0/1650.22.0.1 to 50.22.255.25450.22.255.25565,534
2450.23.0.0/1650.23.0.1 to 50.23.255.25450.23.255.25565,534
2550.24.0.0/1650.24.0.1 to 50.24.255.25450.24.255.25565,534
2650.25.0.0/1650.25.0.1 to 50.25.255.25450.25.255.25565,534
2750.26.0.0/1650.26.0.1 to 50.26.255.25450.26.255.25565,534
2850.27.0.0/1650.27.0.1 to 50.27.255.25450.27.255.25565,534
2950.28.0.0/1650.28.0.1 to 50.28.255.25450.28.255.25565,534
3050.29.0.0/1650.29.0.1 to 50.29.255.25450.29.255.25565,534
3150.30.0.0/1650.30.0.1 to 50.30.255.25450.30.255.25565,534
3250.31.0.0/1650.31.0.1 to 50.31.255.25450.31.255.25565,534
3350.32.0.0/1650.32.0.1 to 50.32.255.25450.32.255.25565,534
3450.33.0.0/1650.33.0.1 to 50.33.255.25450.33.255.25565,534
3550.34.0.0/1650.34.0.1 to 50.34.255.25450.34.255.25565,534
3650.35.0.0/1650.35.0.1 to 50.35.255.25450.35.255.25565,534
3750.36.0.0/1650.36.0.1 to 50.36.255.25450.36.255.25565,534
3850.37.0.0/1650.37.0.1 to 50.37.255.25450.37.255.25565,534
3950.38.0.0/1650.38.0.1 to 50.38.255.25450.38.255.25565,534
4050.39.0.0/1650.39.0.1 to 50.39.255.25450.39.255.25565,534
4150.40.0.0/1650.40.0.1 to 50.40.255.25450.40.255.25565,534
4250.41.0.0/1650.41.0.1 to 50.41.255.25450.41.255.25565,534
4350.42.0.0/1650.42.0.1 to 50.42.255.25450.42.255.25565,534
4450.43.0.0/1650.43.0.1 to 50.43.255.25450.43.255.25565,534
4550.44.0.0/1650.44.0.1 to 50.44.255.25450.44.255.25565,534
4650.45.0.0/1650.45.0.1 to 50.45.255.25450.45.255.25565,534
4750.46.0.0/1650.46.0.1 to 50.46.255.25450.46.255.25565,534
4850.47.0.0/1650.47.0.1 to 50.47.255.25450.47.255.25565,534
4950.48.0.0/1650.48.0.1 to 50.48.255.25450.48.255.25565,534
5050.49.0.0/1650.49.0.1 to 50.49.255.25450.49.255.25565,534
5150.50.0.0/1650.50.0.1 to 50.50.255.25450.50.255.25565,534
5250.51.0.0/1650.51.0.1 to 50.51.255.25450.51.255.25565,534
5350.52.0.0/1650.52.0.1 to 50.52.255.25450.52.255.25565,534
5450.53.0.0/1650.53.0.1 to 50.53.255.25450.53.255.25565,534
5550.54.0.0/1650.54.0.1 to 50.54.255.25450.54.255.25565,534
5650.55.0.0/1650.55.0.1 to 50.55.255.25450.55.255.25565,534
5750.56.0.0/1650.56.0.1 to 50.56.255.25450.56.255.25565,534
5850.57.0.0/1650.57.0.1 to 50.57.255.25450.57.255.25565,534
5950.58.0.0/1650.58.0.1 to 50.58.255.25450.58.255.25565,534
6050.59.0.0/1650.59.0.1 to 50.59.255.25450.59.255.25565,534
6150.60.0.0/1650.60.0.1 to 50.60.255.25450.60.255.25565,534
6250.61.0.0/1650.61.0.1 to 50.61.255.25450.61.255.25565,534
6350.62.0.0/1650.62.0.1 to 50.62.255.25450.62.255.25565,534
6450.63.0.0/1650.63.0.1 to 50.63.255.25450.63.255.25565,534
6550.64.0.0/1650.64.0.1 to 50.64.255.25450.64.255.25565,534
6650.65.0.0/1650.65.0.1 to 50.65.255.25450.65.255.25565,534
6750.66.0.0/1650.66.0.1 to 50.66.255.25450.66.255.25565,534
6850.67.0.0/1650.67.0.1 to 50.67.255.25450.67.255.25565,534
6950.68.0.0/1650.68.0.1 to 50.68.255.25450.68.255.25565,534
7050.69.0.0/1650.69.0.1 to 50.69.255.25450.69.255.25565,534
7150.70.0.0/1650.70.0.1 to 50.70.255.25450.70.255.25565,534
7250.71.0.0/1650.71.0.1 to 50.71.255.25450.71.255.25565,534
7350.72.0.0/1650.72.0.1 to 50.72.255.25450.72.255.25565,534
7450.73.0.0/1650.73.0.1 to 50.73.255.25450.73.255.25565,534
7550.74.0.0/1650.74.0.1 to 50.74.255.25450.74.255.25565,534
7650.75.0.0/1650.75.0.1 to 50.75.255.25450.75.255.25565,534
7750.76.0.0/1650.76.0.1 to 50.76.255.25450.76.255.25565,534
7850.77.0.0/1650.77.0.1 to 50.77.255.25450.77.255.25565,534
7950.78.0.0/1650.78.0.1 to 50.78.255.25450.78.255.25565,534
8050.79.0.0/1650.79.0.1 to 50.79.255.25450.79.255.25565,534
8150.80.0.0/1650.80.0.1 to 50.80.255.25450.80.255.25565,534
8250.81.0.0/1650.81.0.1 to 50.81.255.25450.81.255.25565,534
8350.82.0.0/1650.82.0.1 to 50.82.255.25450.82.255.25565,534
8450.83.0.0/1650.83.0.1 to 50.83.255.25450.83.255.25565,534
8550.84.0.0/1650.84.0.1 to 50.84.255.25450.84.255.25565,534
8650.85.0.0/1650.85.0.1 to 50.85.255.25450.85.255.25565,534
8750.86.0.0/1650.86.0.1 to 50.86.255.25450.86.255.25565,534
8850.87.0.0/1650.87.0.1 to 50.87.255.25450.87.255.25565,534
8950.88.0.0/1650.88.0.1 to 50.88.255.25450.88.255.25565,534
9050.89.0.0/1650.89.0.1 to 50.89.255.25450.89.255.25565,534
9150.90.0.0/1650.90.0.1 to 50.90.255.25450.90.255.25565,534
9250.91.0.0/1650.91.0.1 to 50.91.255.25450.91.255.25565,534
9350.92.0.0/1650.92.0.1 to 50.92.255.25450.92.255.25565,534
9450.93.0.0/1650.93.0.1 to 50.93.255.25450.93.255.25565,534
9550.94.0.0/1650.94.0.1 to 50.94.255.25450.94.255.25565,534
9650.95.0.0/1650.95.0.1 to 50.95.255.25450.95.255.25565,534
9750.96.0.0/1650.96.0.1 to 50.96.255.25450.96.255.25565,534
9850.97.0.0/1650.97.0.1 to 50.97.255.25450.97.255.25565,534
9950.98.0.0/1650.98.0.1 to 50.98.255.25450.98.255.25565,534
10050.99.0.0/1650.99.0.1 to 50.99.255.25450.99.255.25565,534
10150.100.0.0/1650.100.0.1 to 50.100.255.25450.100.255.25565,534
10250.101.0.0/1650.101.0.1 to 50.101.255.25450.101.255.25565,534
10350.102.0.0/1650.102.0.1 to 50.102.255.25450.102.255.25565,534
10450.103.0.0/1650.103.0.1 to 50.103.255.25450.103.255.25565,534
10550.104.0.0/1650.104.0.1 to 50.104.255.25450.104.255.25565,534
10650.105.0.0/1650.105.0.1 to 50.105.255.25450.105.255.25565,534
10750.106.0.0/1650.106.0.1 to 50.106.255.25450.106.255.25565,534
10850.107.0.0/1650.107.0.1 to 50.107.255.25450.107.255.25565,534
10950.108.0.0/1650.108.0.1 to 50.108.255.25450.108.255.25565,534
11050.109.0.0/1650.109.0.1 to 50.109.255.25450.109.255.25565,534
11150.110.0.0/1650.110.0.1 to 50.110.255.25450.110.255.25565,534
11250.111.0.0/1650.111.0.1 to 50.111.255.25450.111.255.25565,534
11350.112.0.0/1650.112.0.1 to 50.112.255.25450.112.255.25565,534
11450.113.0.0/1650.113.0.1 to 50.113.255.25450.113.255.25565,534
11550.114.0.0/1650.114.0.1 to 50.114.255.25450.114.255.25565,534
11650.115.0.0/1650.115.0.1 to 50.115.255.25450.115.255.25565,534
11750.116.0.0/1650.116.0.1 to 50.116.255.25450.116.255.25565,534
11850.117.0.0/1650.117.0.1 to 50.117.255.25450.117.255.25565,534
11950.118.0.0/1650.118.0.1 to 50.118.255.25450.118.255.25565,534
12050.119.0.0/1650.119.0.1 to 50.119.255.25450.119.255.25565,534
12150.120.0.0/1650.120.0.1 to 50.120.255.25450.120.255.25565,534
12250.121.0.0/1650.121.0.1 to 50.121.255.25450.121.255.25565,534
12350.122.0.0/1650.122.0.1 to 50.122.255.25450.122.255.25565,534
12450.123.0.0/1650.123.0.1 to 50.123.255.25450.123.255.25565,534
12550.124.0.0/1650.124.0.1 to 50.124.255.25450.124.255.25565,534
12650.125.0.0/1650.125.0.1 to 50.125.255.25450.125.255.25565,534
12750.126.0.0/1650.126.0.1 to 50.126.255.25450.126.255.25565,534
12850.127.0.0/1650.127.0.1 to 50.127.255.25450.127.255.25565,534

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses